# mk2bat.awk
# Converts the output of bmake -n to a runnable batch file.
# (C) 1997 David Given

BEGIN {
	print "@echo off"
	print "if exist %temp%args.$$$ del %temp%args.$$$"
}

{
	if (length($0) < 100)
	{
		print "echo \"" $0 "\""
		print $0
		print "if errorlevel 1 goto fail"
	}
	else
	{
		n = split($0, a)
		print "echo \"" a[1] " ... " a[n-5] " " a[n-4] " " a[n-3] " " a[n-2] " " a[n-1] " " a[n] "\""
		for (i=2; i<=n; i++)
			print "echo " a[i] " >> %temp%args.$$$"
		print a[1] " @%temp%args.$$$"
		print "if errorlevel 1 goto fail"
		print "del %temp%args.$$$"
	}
}

END {
	print "echo Compilation successful."
	print "goto end"
	print ":fail"
	print "echo Compilation failed."
	print ":end"
}
